%global srcname copr-common

Name:       python-copr-common
Version:    1.0
Release:    1.20241126090926768573.main.12.ge123e4e16%{?dist}
Summary:    Python code used by Copr

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

# Source is created by:
# git clone %%url && cd copr
# tito build --tgz --tag %%name-%%version-%%release
Source0:    python-copr-common-git-0.80736db.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-requests
BuildRequires: python3-filelock
BuildRequires: python3-setproctitle

%global _description\
COPR is lightweight build system. It allows you to create new project in WebUI,\
and submit new builds and COPR will create yum repository from latest builds.\
\
This package contains python code used by other Copr packages. Mostly\
useful for developers only.\


%description %_description


%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname} %_description


%prep
%setup -q -n python-copr-common-git-0.80736db
# Check that setup.py version matches our version
grep '"%version"' setup.py


%build
version="%version" %py3_build


%install
version=%version %py3_install

%check
%{_bindir}/python3 -m pytest -vv tests


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/*



%changelog
* Tue Nov 26 2024 Packit <hello@packit.dev> - 1.0-1.20241126090926768573.main.12.ge123e4e16
- beaker-tests-sanity, behave: fixes for DNF5 (F41+) (Jakub Kadlcik)
- beaker: use dnf3 for modules since it's not supported for dnf5 (Jiri Kyjovsky)
- beaker: switch container image to f41 (Jiri Kyjovsky)
- docker: upgrade containers for local development to F41 (Jakub Kadlcik)
- frontend: regenerate devel repository when multiple builds are deleted (Jakub Kadlcik)
- doc: updates after F39 → F41 builder update (Pavel Raiskup)
- docker: create /var/lock/copr-dist-git directory (Jakub Kadlcik)
- frontend: test chroot skipping (Jakub Kadlcik)
- rpmbuild: skip only if all macros in ExclusiveArch and ExcludeArch evaluated (Jakub Kadlcik)
- beakertests: move PyPI tests into one file (Pavel Raiskup)
- mics: copr_new_packages add limit option and progressbar (Jiri Kyjovsky)
- misc: copr_new_packages, drop requests to koji api, use repoquery (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [1.2-1]. (Pavel Raiskup)
- docker: point PULP_CONTENT_URL to a local container (Jakub Kadlcik)
- backend: copr-backend-resultdir-cleaner logs into config["log_dir"] (Pavel Raiskup)
- backend: copr-backend-resultdir-cleaner to skip module dirs (Pavel Raiskup)
- backend: manpage for copr-backend-resultdir-cleaner && logger fix (Pavel Raiskup)
- doc: mention powerful builders disk space and admin how to (Jakub Kadlcik)
- Change the pyp2spec invocation (Karolina Surma)
- backend: allow using crt+key pair for Pulp authentication (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [2.1-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [1.1-1]. (Jakub Kadlcik)
- backend: show what command is being run on the builder (Jakub Kadlcik)
- rpmbuild: log even information about success (Jakub Kadlcik)
- rpmbuild: make_srpmbuild, set recursive safe.directory (Jiri Kyjovsky)
- rpmbuild: basic sanity check for rhsm (Pavel Raiskup)
- frontend: support build-time dependencies from other storages (Jakub Kadlcik)
- frontend: move repo functions to a separate file (Jakub Kadlcik)
- builds_initiated_via_hook always passed as a list & doc string update (Jait Jacob)
- custom webhook handler now adds webhook history record (Jait Jacob)
- rpmbuild, frontend: activate Red Hat subscription on demand (Jakub Kadlcik)
- pylint: fix old import errors that appear as new (Pavel Raiskup)
- python, cli: drop six dependency (Pavel Raiskup)
- rpmbuild: drop six usage (this is a Python 3 only package) (Pavel Raiskup)
- rpmbuild: add tooling for "safer" RH subscription (Pavel Raiskup)
- backend: fix copr-backend-unknown-resalloc-tickets (Pavel Raiskup)
- frontend: avoid a duplicated "exists" check (Pavel Raiskup)
- enhance: dnf.conf(5) docs link (Malix)
- doc: release-notes 2024-10-03 (Jiri Kyjovsky)
- frontend: check whether copr exists (Jait Jacob)
- distgit: depend on python3-rpkg >= 1.67-4 (Jakub Kadlcik)
- tito: drop support for el7 (Jiri Kyjovsky)
- backend: unknown-resalloc-tickets: check tickets taken first (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [2.1-1]. (Pavel Raiskup)
- frontend: no `app.log` but `app.logger` (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [1.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-keygen] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-messaging] release [1.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [1.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr] release [2.0-1]. (Jiri Kyjovsky)

* Wed Oct 02 2024 Jiri Kyjovsky <j1.kyjovsky@gmail.com> 1.0-1
- Drop support for rhel7 and rhel6

* Thu Aug 01 2024 Miroslav Suchý <msuchy@redhat.com> 0.25-1
- frontend, backend, common: don't limit the storage to pulp only

* Tue May 21 2024 Jakub Kadlcik <frostyx@email.cz> 0.24-1
- Fix chroot_to_branch default

* Fri Mar 15 2024 Pavel Raiskup <praiskup@redhat.com> 0.23-1
- make get_redis_connection to accept dict-like 'opts' argument

* Fri Mar 01 2024 Pavel Raiskup <praiskup@redhat.com> 0.22-1
- fix misleading warning for non-copr library consumers
- add `contextlib.nullcontext` function as EL8 compat
- limit stdout/stderr of ssh.run_expensive() commands
- use 'copr-common/<version>' as http user agent identifier
- changes needed to allow user SSH to builders

* Thu Nov 23 2023 Pavel Raiskup <praiskup@redhat.com> 0.21-1
- rename GroupWorkerLimit to HashWorkerLimit
- explicitly build-depend on python-six

* Tue Aug 15 2023 Pavel Raiskup <praiskup@redhat.com> 0.20-1
- move chroot_to_branch from frontend to copr-common
- redis authentication support added

* Tue May 23 2023 Jakub Kadlcik <frostyx@email.cz> 0.19-1
- Specfile compatibility with OpenEuler

* Tue Jan 24 2023 Jakub Kadlcik <frostyx@email.cz> 0.18-1
- Periodically dump the priority queue to a JSON file
- Use SPDX license

* Sat Nov 26 2022 Jakub Kadlcik <frostyx@email.cz> 0.17-1
- move to GitHub home page
- logging shouldn't affect stdout
- move dispatcher and background workers to copr-common
- scripts should log also timestamps etc when logging into file
- move setup_script_logger to copr-common

* Thu Oct 27 2022 Jakub Kadlcik <frostyx@email.cz> - 0.16.2.dev-1
- Add background_worker.py from backend
- Add get_redis_connection function
- Add Dispatcher, WorkerManager, and QueueTask classes
- Add WorkerLimit, PredicateWorkerLimit, and GroupWorkerLimit classes

* Sun Oct 02 2022 Jakub Kadlcik <frostyx@email.cz> - 0.16-1
- Add setup_script_logger function

* Tue Jun 21 2022 Jakub Kadlcik <frostyx@email.cz> 0.15-1
- Allow SafeRequest's timeout to be specified

* Wed Feb 02 2022 Silvie Chlupova <schlupov@redhat.com> 0.14-1
- Fixing copr-common version

* Wed Feb 02 2022 Silvie Chlupova <schlupov@redhat.com> 0.13.2.dev-1
- dist-git: python code for removing unused tarballs on dist-git server

* Wed Nov 10 2021 Silvie Chlupova <schlupov@redhat.com> 0.13.1-1
- Fixing copr-common version

* Wed Nov 10 2021 Silvie Chlupova <schlupov@redhat.com> 0.12.2.dev-1
- Always set 'requests.get()' timeout

* Tue Jun 15 2021 Pavel Raiskup <praiskup@redhat.com> 0.12-1
- new action type for automatically deleting pull-request CoprDirs

* Mon Nov 30 2020 Pavel Raiskup <praiskup@redhat.com> 0.11-1
- add first tests for copr-common package
- repeatedly send requests to frontend until they succeed

* Mon Nov 30 2020 Pavel Raiskup <praiskup@redhat.com> 0.10-1
- ship LICENSE file in PyPI tarball

* Wed Nov 11 2020 Pavel Raiskup <praiskup@redhat.com> 0.9-1
- bump to non-devel version

* Mon Nov 09 2020 Jakub Kadlcik <frostyx@email.cz> 0.8.2.dev-1
- common, cli, python, rpmbuild, frontend, backend: DistGit source method
- common: RHEL6 fix for ModuleStatusEnum

* Tue Jun 09 2020 Pavel Raiskup <praiskup@redhat.com> 0.8-1
- non-devel version 0.8

* Tue May 05 2020 Jakub Kadlcik <frostyx@email.cz> 0.7-1
- add ActionResult (moved from backend package)
- add DefaultActionPriorityEnum
- add ActionPriorityEnum
- add run_tests.sh script and run pylint in it

* Wed Aug 28 2019 Pavel Raiskup <praiskup@redhat.com> 0.6-1
- enhanced ModuleStatusEnum (issue#607)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 11 2019 Jakub Kadlčík <frostyx@email.cz> 0.5-1
- Add splitFilename function

* Fri Oct 19 2018 Miroslav Suchý <msuchy@redhat.com> 0.4-1
- sync common.BuildSourceEnum with helpers.BuildSourceEnum
- use git_dir_archive instead of git_dir_pack
- packaging: Python 2/3, RHEL/Fedora fixes

* Mon Aug 06 2018 clime <clime@redhat.com> 0.3-1
- %%{python_sitelib} → %%{python2_sitelib}
- fix git packing for python-copr, copr-common
- fix reading spec file values from setup.py
- rpkg deployment into COPR

* Thu Mar 22 2018 Dominik Turecek <dturecek@redhat.com> 0.2-1
- [common] fix spec file

* Mon Mar 19 2018 Dominik Turecek <dturecek@redhat.com> 0.1-1
- create python-copr-common package
